Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2006-2916

Overview

Vulnerability Score 6.0 6.0
CVE Id CVE-2006-2916
Last Modified 07 Mar 2011 09:37:17
Published 15 Jun 2006 06:02:00
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector LOCAL
Access Complexity HIGH
Authentication SINGLE_INSTANCE

CVE-2006-2916

Summary

artswrapper in aRts, when running setuid root on Linux 2.6.0 or later versions, does not check the return value of the setuid function call, which allows local users to gain root privileges by causing setuid to fail, which prevents artsd from dropping privileges.

Vulnerable Systems

Application

  • Kde Arts 1.0

  • Kde Arts 1.2


References

BID - 18429

CONFIRM - http://www.kde.org/info/security/advisory-20060614-2.txt

CONFIRM - http://dot.kde.org/1150310128/

VUPEN - ADV-2007-0409

VUPEN - ADV-2006-2357

BUGTRAQ - 20060615 rPSA-2006-0105-1 arts

OSVDB - 26506

SUSE - SUSE-SR:2006:015

GENTOO - GLSA-200606-22

SLACKWARE - SSA:2006-178-03

SECTRACK - 1016298

SECUNIA - 20899

SECUNIA - 20868

SECUNIA - 20827

SECUNIA - 20786

SECUNIA - 20677

XF - arts-artwrapper-privilege-escalation(27221)

BID - 23697

MANDRIVA - MDKSA-2006:107

GENTOO - GLSA-200704-22

SECUNIA - 25059

SECUNIA - 25032

MLIST - [beast] 20061228 ANNOUNCE: BEAST/BSE v0.7.1


Last Updated: 27 May 2016 10:42:48